[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: fc8 mysql libs brocken ??





On Tue, Oct 21, 2008 at 8:52 AM, Gregory Machin <gdm linuxpro co za> wrote:
tried setarch
tried addinf devel.x86_64
and tried setarch x86_64

and still get the following ...

probe_plugin -Lnfprobe_plugin/ -lsfprobe_plugin -Lsfprobe_plugin/
/usr/bin/ld: skipping incompatible /usr/lib/mysql/libmysqlclient.so
when searching for -lmysqlclient
/usr/bin/ld: skipping incompatible /usr/lib/mysql/libmysqlclient.a
when searching for -lmysqlclient
/usr/bin/ld: cannot find -lmysqlclient
collect2: ld returned 1 exit status
gmake[2]: *** [pmacct] Error 1
gmake[2]: Leaving directory `/data/apps/pmacct/pmacct-0.11.5/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/data/apps/pmacct/pmacct-0.11.5/src'
make: *** [all-recursive] Error 1


2008/10/21 Michael Schwendt <mschwendt gmail com>:
> On Tue, 21 Oct 2008 11:40:06 +0200, Gregory Machin wrote:
>
>> They are installed ...
>>
>> [root gregory-workstation pmacct-0.11.5]# rpm -qa --qf
>> "%{name}-%{version}-%{release}.%{arch} \n" | grep mysql
>> mysql-libs-5.0.45-6.fc8.i386
>> mysql-connector-java-3.1.12-3.fc6.x86_64
>> mysql-devel-5.0.45-6.fc8.i386
>> mysql-5.0.45-6.fc8.x86_64
>> mysql-libs-5.0.45-6.fc8.x86_64
>>
>> with both libs installed configure is happy
>> PLATFORM ..... : x86_64
>
> You only have the i386 mysql-devel. Build with setarch i386.
>
> --
>


Install

mysql-devel-5.0.45-6.fc8.x86_64

and try again. I also would remove the i386 devel package.



--
Paulo Roma Cavalcanti
LCG - UFRJ

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]